<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <meta name="viewport" content="initial-scale=1, maximum-scale=1,user-scalable=no">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Poppins:300,400,700">
        <link rel="stylesheet" href="https://file.myfontastic.com/da58YPMQ7U5HY8Rb6UxkNf/icons.css">
        <link rel="stylesheet" href="https://js.arcgis.com/3.22/dijit/themes/claro/claro.css">
        <link rel="stylesheet" href="https://js.arcgis.com/3.22/esri/css/esri.css">
        <script src="https://use.fontawesome.com/99347ac47f.js"></script>
        <script src="https://js.arcgis.com/3.22/"></script>
        <script>
            var _operLayers, map;
            require([
                "dojo/ready",
                "dojo/parser",
                "dijit/layout/BorderContainer",
                "dijit/layout/ContentPane",
                "esri/map",
                "esri/config",
                "esri/tasks/GeometryService",
                "esri/urlUtils",
                "esri/arcgis/utils",
                "esri/dijit/LayerList",
                "dojo/dom",
                "dojo/on",
                "dojo/_base/lang",
                "dojo/_base/array",
                "esri/dijit/editing/Editor",
                "dojo/domReady!"
            ], function (
                    ready,
                    parser,
                    BorderContainer,
                    ContentPane,
                    Map,
                    config,
                    GeometryService,
                    urlUtils,
                    arcgisUtils,
                    LayerList,
                    on,
                    lang,
                    dom,
                    array,
                    Editor
                    ) {

                ready(function () {
                    parser.parse();
                    // automata.apps
                    // Auto.APS-Go17
                    //create the map
                    // http://gorrion.uis.edu.co/arcgis/apps/Editor/index.html?appid=71f6577ebef64a33a3f333b4919d9932
                    arcgisUtils.arcgisUrl = "https://gorrion.uis.edu.co/arcgis/sharing/rest/content/items";
                    //Mapa creado con al cuenta de portal "portaladmin"
                    //arcgisUtils.createMap("51cbf818b6104c0cad91fa43892c3f98", "map", {

                    //Mapa creado con al cuenta de portal "automata.apps"
                    arcgisUtils.createMap("424fac0b42724e19843613ee092e2727", "map", {
                        ignorePopups: false
                    }).then(function (response) {

                        map = response.map;

                        var myWidget = new LayerList({
                            map: map,
                            layers: arcgisUtils.getLayerList(response)
                        }, "layerList");
                        myWidget.startup();

                        on(myWidget, "toggle", lang.hitch(this, function (evt) {
                            array.map(myWidget.layers, function (layer, indx) {
                                if (evt.visible) {
                                    if (indx !== evt.layerIndex) {
                                        layer.layer.setVisibility(false);
                                        layer.visibility = false;
                                    }
                                }
                            });
                        }));
                    });
                });
            });
        </script>
        <style>
            h3 {text-align: center}
            html, body, .container, #map {
                height:95%;
                width:100%;
                margin:0;
                padding:0;
                margin:0;
            }
            #map {
                padding:0;
            }
            #layerListPane{
                width:25%;
            }
            .esriLayer{
                background-color: #fff;
            }
            .esriLayerList .esriList{
                border-top:none;
                overflow: scroll;
            }
            .esriLayerList .esriTitle {
                background-color: #fff;
                border-bottom:none;
            }
            .esriLayerList .esriList ul{
                background-color: #fff;
                overflow: scroll;
            }
        </style>
        <title>Inicio</title>
    </head>

    <body>
        <!-- Main Navbar -->
        <header class="header">
            <nav class="navbar">
                <div class="container-fluid">
                    <div class="navbar-holder d-flex align-items-center justify-content-between">
                        <a href="index.html" class="navbar-brand">
                            <div class="brand-text brand-big hidden-lg-down">
                                <img src="img/Logo_pagína_web_edición.png" alt="brand logo"/>
                                <span>Aplicación de</span><strong> Edición</strong>
                            </div>
                            <div class="brand-text brand-small"><strong>AE</strong></div>
                        </a>
                        <!-- Navbar Menu -->
                        <ul class="nav-menu list-unstyled d-flex flex-md-row align-items-md-center">
                            <!-- Logout    -->
                            <li class="nav-item">
                                <a href="login.html" class="nav-link logout">Cerrar Sesión<i class="fa fa-sign-out"></i></a>
                            </li>
                        </ul>
                    </div>
                </div>
            </nav>
        </header>
        <!-- End Navbar -->

        <!-- @CONTENT -->
        <!-- Mapa -->
        <div id="layerListPane" style="float: left; width: 20%; height: 100%">
            <div class="panel-heading">
                <br>
                <p align="center">
                    <a id="login" href="agregarElemento.html" class="btn btn-primary">Agregar/Editar elemento<br>espacial</a>
                </p>
            </div>
            <div class="panel-heading">
                <h3 class="panel-title">Lista de capas</h3>
                <font size="2">Haga clic para activar/desactivas la capa en el mapa</font>
            </div>
            <div id="layerList"></div>
        </div>
        <div id="map" style="float: right; width: 80%; height: 100%"></div>
        <!-- Fin Mapa -->
        <!-- END CONTENT -->

        <!-- Javascript files-->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.5.0/Chart.min.js"></script>
    </body>
</html>
